/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	NPC.h
*摘要：		游戏主地图类头文件
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-5  wstjb     基本的功能完成
***********************************************************************/

#pragma once

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
#include "PublicFun.h"

class NPC
{

public:
	int PubInit(int idx);
	void Init(int num,int x,int y);
	int KeyDown(WPARAM KeyCode);
	void Show(WPARAM KeyCode);
	void SetStep(int faceto,int step);
	void Move(int faceTo1);//20160719增加参数
	void MoveIt(int faceTo1);//20160719增加参数

	int ax;//绝对坐标
	int ay;

	int x;//显示坐标
	int y;
	int picnum;
	int steptmp;
	int roleId;
	int showFlag;

	int no;
	int faceTo;
	int step;
	int action;//0—停止状态，不作运动驱动；1—强制移动状态，效果同2；2—巡逻状态，自由行走；3—暂停状态，等到延时到了后转变为巡逻状态；4—激活状态，只换图片，不改变位置（适合动态的场景对象，比如：伏魔灯）。
	int delay;
	int magicLearn;
	int picno;
	char name[12];

	int delayGot;//延时已经触犯次数
	int oldfaceTo;//旧朝向
	int picMax;//包含的图片数量
};